// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniFoundation/CoreFoundationExtensions/CFString-OFExtensions.h,v 1.2 2000/08/31 07:40:50 bungi Exp $

#import <CoreFoundation/CFString.h>

// These are exported by CoreFoundation but aren't declared
extern UniChar toulower(UniChar c);
extern UniChar touupper(UniChar c);


extern void OFLowercaseCharacters(UniChar *characters, CFIndex count);
extern void OFLowercaseCharactersInto(const UniChar *source, UniChar *dest, CFIndex count);

extern void OFUppercaseCharacters(UniChar *characters, CFIndex count);
extern void OFUppercaseCharactersInto(const UniChar *source, UniChar *dest, CFIndex count);
